CASYI(3)

SYNOPSIS
SUBROUTINE CASYI (Z, FNU, KODE, N, Y, NZ, RL, TOL, ELIM, ALIM)

NAME
casyi - Subsidiary to CBESI and CBESK

LIBRARY
SLATEC

TYPE
ALL (CASYI-A, ZASYI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
CASYI COMPUTES THE I BESSEL FUNCTION FOR REAL(Z).GE.0.0 BY MEANS OF THE ASYMPTOTIC EXPANSION FOR LARGE ABS(Z) IN THE REGION ABS(Z).GT.MAX(RL,FNU*FNU/2). NZ=0 IS A NORMAL RETURN. NZ.LT.0 INDICATES AN OVERFLOW ON KODE=1.

SEE ALSO
CBESI, CBESK

ROUTINES CALLED
R1MACH

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)